## com.imcode.imcms.flow
Class EditDocumentInformationPageFlow.DocumentInformationPage

    java.lang.Object
      com.imcode.imcms.flow.EditDocumentInformationPageFlow.DocumentInformationPage

Enclosing class:
  EditDocumentInformationPageFlow

    public static class EditDocumentInformationPageFlow.DocumentInformationPage

extends java.lang.Object

Constructor Summary
`EditDocumentInformationPageFlow.DocumentInformationPage(DocumentDomainObject document, boolean adminButtonsHidden, java.util.Set errors)`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static EditDocumentInformationPageFlow.DocumentInformationPage` `fromRequest(javax.servlet.http.HttpServletRequest request)`
`DocumentDomainObject` `getDocument()`
`java.util.Set` `getErrors()`
`boolean` `isAdminButtonsHidden()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditDocumentInformationPageFlow.DocumentInformationPage

    public EditDocumentInformationPageFlow.DocumentInformationPage(DocumentDomainObject document,
                                                                   boolean adminButtonsHidden,
                                                                   java.util.Set errors)

Method Detail

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### fromRequest

    public static EditDocumentInformationPageFlow.DocumentInformationPage fromRequest(javax.servlet.http.HttpServletRequest request)

### getDocument

    public DocumentDomainObject getDocument()

### isAdminButtonsHidden

    public boolean isAdminButtonsHidden()

### getErrors

    public java.util.Set getErrors()